Subject: Re: bug#14086: 24.3.50; `substitute-command-keys': inappropriate "(that binding is currently shadowed by another mode)"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Feb 2014 20:40:05 -0800

"Drew Adams" <[email-masked]> writes:

> But near the end of the listing (not at all near that entry), I see this
> other entry for `M-r':
>
>  M-r             previous-matching-history-element
>    (that binding is currently shadowed by another mode)

Yeah, kinda awkward way of putting it.  What about just

(binding currently shadowed)

?

> That makes no sense, or is at least misleading.  There is no special
> "mode" that I am aware of that is involved here, for one thing.  And I
> don't see how the `previous-matching-history-element' binding is
> "shadowed", whether by "another mode" or any other way.  `M-r' is simply
> bound to `icicle-roundup' in this keymap - it is not bound to
> `previous-matching-history-element' in this map, AFAIK.
>
> Seems like a bug to me.  At the very least it is unhelpful and
> misleading for a user who sees this.  (Not to mention the fact that this
> extra info, if you think it serves a purpose, is far from the first
> `M-r' entry, so a user will likely see one or the other but not both
> together (unless the keymap has few keys in it).

I think it sounds useful to list bindings that would normally be on the
map unless something had redefined the key.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/